{

    //角色攻击附加灼烧效果

    "AbilityName" : "Card_ZS_Test",

    "AbilityStacking": "Unique",



    "DefaultModifier" :

    {

        //OnAttackLanded时伤害已经结算了，感电Buff在当前一击就无法生效

        //OnHitOther,OnHitOtherPre可以

        "OnAttackLanded" :

        [

            {

                "$type" : "MoleMole.ApplyModifier",

                "ModifierName" : "BurnBuffModifier",

                "Target" : "Target",

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByDirectHit",//由角色产生的直接伤害

                        "IsDirect" : true,

                    },

                ]

            }

        ]

    },



    "Modifiers" : 

    {

        "BurnBuffModifier": 

        {

            "Duration": 30.0,

            "Buff": 

            {

                "BuffID": 1000009, //灼烧

                "IsOverrideDuration" : true,

            },

        },

    },

}